<?php
namespace Claromentis\Core\Ai\Events;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_db6f0ba0791e9a6354076" . "59a9fe04e40" => base64_decode("aXNfb2JqZWN" . "0"), "_7f628626dd1d55c" . "71b1fc0932ffd1d2" . "c" => base64_decode("aXNfYXJyYX" . "k="));
use Claromentis\Core\Ai\Parts\PartInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;
class AiEvent extends GenericEvent
{
    
    
    
    
    
    public function __construct($_a7442cd7a4d3c557bf6b6b4b0d724559, array $arguments = [])
    {
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc0" . "932ffd1d2c"]($_a7442cd7a4d3c557bf6b6b4b0d724559)) {
            Assert::allIsInstanceOf($_a7442cd7a4d3c557bf6b6b4b0d724559, PartInterface::class);
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_db6f0ba0791e9a6" . "35407659a9fe04e4" . "0"]($_a7442cd7a4d3c557bf6b6b4b0d724559)) {
            Assert::isInstanceOf($_a7442cd7a4d3c557bf6b6b4b0d724559, PartInterface::class);
        } else {
            Assert::string($_a7442cd7a4d3c557bf6b6b4b0d724559);
        }
        parent::__construct($_a7442cd7a4d3c557bf6b6b4b0d724559, $arguments);
    }
    
    
    
    
    public function getPrompt()
    {
        return $this->getSubject();
    }
}